//
//  SoundManager.swift
//  GoldWars
//
//  Created by Tim Herbst on 10.05.20.
//  Copyright © 2020 SP2. All rights reserved.
//

import SpriteKit
import AVFoundation

class SoundManager {
    public static var sharedInstance = SoundManager()
    
    var audioPlayer = AVAudioPlayer()
    var backgroundMainMenuAudio: URL?
    var isMusicPlaying = false
    var isMusicEnabled = true
    
    func startMenuMusic() {
        self.isMusicPlaying = true
        backgroundMainMenuAudio = Bundle.main.url(forResource: "intro-music", withExtension: "mp3")
        do {
            audioPlayer = try AVAudioPlayer(contentsOf: backgroundMainMenuAudio!)
        } catch {
            print("Datei nicht gefunden!")
        }
        audioPlayer.numberOfLoops = -1
        audioPlayer.prepareToPlay()
        if self.isMusicEnabled == true {
            audioPlayer.play()
        }
    }
    
    func stopMenuMusic() {
        audioPlayer.pause()
        self.isMusicPlaying = false
    }
    
    func setVolume(_ volume: Float) {
        audioPlayer.volume = volume
    }
    
    func getVolume() -> Float {
        return audioPlayer.volume
    }
}
